Package Details: monogame-bin 3.7.1-1

Git Clone URL: https://aur.archlinux.org/monogame-bin.git (read-only, click to copy)
Package Base: monogame-bin
Description: Open Source implementation of the Microsoft XNA 4 Framework (official binary build).
Upstream URL: http://www.monogame.net/
Keywords: development framework game mono programming
Licenses: MIT, custom,
Conflicts: monogame, tao-framework, tao-framework-svn
Provides: monogame
Submitter: mikeroll
Maintainer: None
Last Packager: techandy1
Votes: 7
Popularity: 0.000041
First Submitted: 2016-06-29 19:22
Last Updated: 2019-03-07 03:43

Latest Comments

1 2 3 Next › Last »

Trbl commented on 2020-08-26 22:15

mono and monodeveloparen't dependencies anymore. it's depending on dotnet-sdk instead.

the templates can be installed with

dotnet new --install MonoGame.Templates.CSharp

and the content pipeline tool is now a dotnet tool which can be installed with

dotnet tool install --global dotnet-mgcb-editor && mgcb-editor --register

optional dependency would be winefor shader compilation . The following script is creating the prefix and installing the required files

wget -qO- https://raw.githubusercontent.com/MonoGame/MonoGame/develop/Tools/MonoGame.Effect.Compiler/mgfxc_wine_setup.sh | bash

https://docs.monogame.net/articles/getting_started/1_setting_up_your_development_environment_ubuntu.html

techandy1 commented on 2020-08-12 20:01

The new version doesn't have monogame-sdk.run file. It is all nuget files. Not sure how to create this files for the AUR.

TamasBarta commented on 2020-05-16 19:56

I think we need a symlink set up with this package.

/usr/lib/mono/xbuild/MonoGame/v3.0 -> /usr/lib/mono/xbuild/MonoGame/v3.7.1

Without this, projects don't build out of the box. A friend of mine created a project with a rotating cube on Windows, and it builds after git clone on Ubuntu using the MonoGame installer, but it didn't with this package until I created this symlink.

techandy1 commented on 2020-01-18 15:26

Hi KaleidoDeer,

I have noticed issues with installing Monogame via gui package manager. I always install anything from the AUR via command line. If you can give me a copy of the error message that might help. I don't have problems when installing from yaourt or yay in the CLI.

KaleidoDeer commented on 2020-01-18 03:07

Hi there. I have encountered the same issue with pamac. If it helps you to debug it was on Manjaro KDE in pacman. i7 7700k and GTX 1060. I suspect Freakcrow's error might have been in Manjaro as well.

techandy1 commented on 2019-12-10 03:29

How is all? Is this package still working ok for you? It was tested using yaourt and I haven't had any issues.

techandy1 commented on 2019-04-26 13:31

Hi there freakcrow,

I'm sorry that you are having issues but I have tested the package on 3 different systems and I don't have a problem. Try using yaourt instead of pamac. I don't get an error when I build this package and I can't reproduce your error.

freakcrow commented on 2019-04-25 23:50

Tried installing and got the same error:

error:

/var/tmp/pamac-build-myuser/monogame-bin/PKGBUILD: line 42: cd: monogame-3.7.1: the file or directory does not exist

techandy1 commented on 2019-03-07 04:47

UPDATE: fixed more issues. It should be good now. Please let me know if you have any issues. It has been working well for me.

techandy1 commented on 2019-03-06 20:39

is there anybody else having issues with this package, like JoZ3?